package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwHsOutcwBalanceExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CwHsOutcwBalanceExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andLZtbhIsNull() {
            addCriterion("L_ZTBH is null");
            return (Criteria) this;
        }

        public Criteria andLZtbhIsNotNull() {
            addCriterion("L_ZTBH is not null");
            return (Criteria) this;
        }

        public Criteria andLZtbhEqualTo(Integer value) {
            addCriterion("L_ZTBH =", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhNotEqualTo(Integer value) {
            addCriterion("L_ZTBH <>", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhGreaterThan(Integer value) {
            addCriterion("L_ZTBH >", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_ZTBH >=", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhLessThan(Integer value) {
            addCriterion("L_ZTBH <", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhLessThanOrEqualTo(Integer value) {
            addCriterion("L_ZTBH <=", value, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhIn(List<Integer> values) {
            addCriterion("L_ZTBH in", values, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhNotIn(List<Integer> values) {
            addCriterion("L_ZTBH not in", values, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhBetween(Integer value1, Integer value2) {
            addCriterion("L_ZTBH between", value1, value2, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andLZtbhNotBetween(Integer value1, Integer value2) {
            addCriterion("L_ZTBH not between", value1, value2, "lZtbh");
            return (Criteria) this;
        }

        public Criteria andDDateIsNull() {
            addCriterion("D_DATE is null");
            return (Criteria) this;
        }

        public Criteria andDDateIsNotNull() {
            addCriterion("D_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andDDateEqualTo(Date value) {
            addCriterion("D_DATE =", value, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateNotEqualTo(Date value) {
            addCriterion("D_DATE <>", value, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateGreaterThan(Date value) {
            addCriterion("D_DATE >", value, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateGreaterThanOrEqualTo(Date value) {
            addCriterion("D_DATE >=", value, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateLessThan(Date value) {
            addCriterion("D_DATE <", value, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateLessThanOrEqualTo(Date value) {
            addCriterion("D_DATE <=", value, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateIn(List<Date> values) {
            addCriterion("D_DATE in", values, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateNotIn(List<Date> values) {
            addCriterion("D_DATE not in", values, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateBetween(Date value1, Date value2) {
            addCriterion("D_DATE between", value1, value2, "dDate");
            return (Criteria) this;
        }

        public Criteria andDDateNotBetween(Date value1, Date value2) {
            addCriterion("D_DATE not between", value1, value2, "dDate");
            return (Criteria) this;
        }

        public Criteria andVcDykmIsNull() {
            addCriterion("VC_DYKM is null");
            return (Criteria) this;
        }

        public Criteria andVcDykmIsNotNull() {
            addCriterion("VC_DYKM is not null");
            return (Criteria) this;
        }

        public Criteria andVcDykmEqualTo(String value) {
            addCriterion("VC_DYKM =", value, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmNotEqualTo(String value) {
            addCriterion("VC_DYKM <>", value, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmGreaterThan(String value) {
            addCriterion("VC_DYKM >", value, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmGreaterThanOrEqualTo(String value) {
            addCriterion("VC_DYKM >=", value, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmLessThan(String value) {
            addCriterion("VC_DYKM <", value, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmLessThanOrEqualTo(String value) {
            addCriterion("VC_DYKM <=", value, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmLike(String value) {
            addCriterion("VC_DYKM like", value, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmNotLike(String value) {
            addCriterion("VC_DYKM not like", value, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmIn(List<String> values) {
            addCriterion("VC_DYKM in", values, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmNotIn(List<String> values) {
            addCriterion("VC_DYKM not in", values, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmBetween(String value1, String value2) {
            addCriterion("VC_DYKM between", value1, value2, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andVcDykmNotBetween(String value1, String value2) {
            addCriterion("VC_DYKM not between", value1, value2, "vcDykm");
            return (Criteria) this;
        }

        public Criteria andEnDebitIsNull() {
            addCriterion("EN_DEBIT is null");
            return (Criteria) this;
        }

        public Criteria andEnDebitIsNotNull() {
            addCriterion("EN_DEBIT is not null");
            return (Criteria) this;
        }

        public Criteria andEnDebitEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT =", value, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitNotEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT <>", value, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitGreaterThan(BigDecimal value) {
            addCriterion("EN_DEBIT >", value, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT >=", value, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitLessThan(BigDecimal value) {
            addCriterion("EN_DEBIT <", value, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitLessThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT <=", value, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitIn(List<BigDecimal> values) {
            addCriterion("EN_DEBIT in", values, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitNotIn(List<BigDecimal> values) {
            addCriterion("EN_DEBIT not in", values, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_DEBIT between", value1, value2, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnDebitNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_DEBIT not between", value1, value2, "enDebit");
            return (Criteria) this;
        }

        public Criteria andEnCreditIsNull() {
            addCriterion("EN_CREDIT is null");
            return (Criteria) this;
        }

        public Criteria andEnCreditIsNotNull() {
            addCriterion("EN_CREDIT is not null");
            return (Criteria) this;
        }

        public Criteria andEnCreditEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT =", value, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditNotEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT <>", value, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditGreaterThan(BigDecimal value) {
            addCriterion("EN_CREDIT >", value, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT >=", value, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditLessThan(BigDecimal value) {
            addCriterion("EN_CREDIT <", value, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditLessThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT <=", value, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditIn(List<BigDecimal> values) {
            addCriterion("EN_CREDIT in", values, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditNotIn(List<BigDecimal> values) {
            addCriterion("EN_CREDIT not in", values, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_CREDIT between", value1, value2, "enCredit");
            return (Criteria) this;
        }

        public Criteria andEnCreditNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_CREDIT not between", value1, value2, "enCredit");
            return (Criteria) this;
        }

        public Criteria andItem1IsNull() {
            addCriterion("ITEM1 is null");
            return (Criteria) this;
        }

        public Criteria andItem1IsNotNull() {
            addCriterion("ITEM1 is not null");
            return (Criteria) this;
        }

        public Criteria andItem1EqualTo(String value) {
            addCriterion("ITEM1 =", value, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1NotEqualTo(String value) {
            addCriterion("ITEM1 <>", value, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1GreaterThan(String value) {
            addCriterion("ITEM1 >", value, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM1 >=", value, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1LessThan(String value) {
            addCriterion("ITEM1 <", value, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1LessThanOrEqualTo(String value) {
            addCriterion("ITEM1 <=", value, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1Like(String value) {
            addCriterion("ITEM1 like", value, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1NotLike(String value) {
            addCriterion("ITEM1 not like", value, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1In(List<String> values) {
            addCriterion("ITEM1 in", values, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1NotIn(List<String> values) {
            addCriterion("ITEM1 not in", values, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1Between(String value1, String value2) {
            addCriterion("ITEM1 between", value1, value2, "item1");
            return (Criteria) this;
        }

        public Criteria andItem1NotBetween(String value1, String value2) {
            addCriterion("ITEM1 not between", value1, value2, "item1");
            return (Criteria) this;
        }

        public Criteria andName1IsNull() {
            addCriterion("NAME1 is null");
            return (Criteria) this;
        }

        public Criteria andName1IsNotNull() {
            addCriterion("NAME1 is not null");
            return (Criteria) this;
        }

        public Criteria andName1EqualTo(String value) {
            addCriterion("NAME1 =", value, "name1");
            return (Criteria) this;
        }

        public Criteria andName1NotEqualTo(String value) {
            addCriterion("NAME1 <>", value, "name1");
            return (Criteria) this;
        }

        public Criteria andName1GreaterThan(String value) {
            addCriterion("NAME1 >", value, "name1");
            return (Criteria) this;
        }

        public Criteria andName1GreaterThanOrEqualTo(String value) {
            addCriterion("NAME1 >=", value, "name1");
            return (Criteria) this;
        }

        public Criteria andName1LessThan(String value) {
            addCriterion("NAME1 <", value, "name1");
            return (Criteria) this;
        }

        public Criteria andName1LessThanOrEqualTo(String value) {
            addCriterion("NAME1 <=", value, "name1");
            return (Criteria) this;
        }

        public Criteria andName1Like(String value) {
            addCriterion("NAME1 like", value, "name1");
            return (Criteria) this;
        }

        public Criteria andName1NotLike(String value) {
            addCriterion("NAME1 not like", value, "name1");
            return (Criteria) this;
        }

        public Criteria andName1In(List<String> values) {
            addCriterion("NAME1 in", values, "name1");
            return (Criteria) this;
        }

        public Criteria andName1NotIn(List<String> values) {
            addCriterion("NAME1 not in", values, "name1");
            return (Criteria) this;
        }

        public Criteria andName1Between(String value1, String value2) {
            addCriterion("NAME1 between", value1, value2, "name1");
            return (Criteria) this;
        }

        public Criteria andName1NotBetween(String value1, String value2) {
            addCriterion("NAME1 not between", value1, value2, "name1");
            return (Criteria) this;
        }

        public Criteria andItem2IsNull() {
            addCriterion("ITEM2 is null");
            return (Criteria) this;
        }

        public Criteria andItem2IsNotNull() {
            addCriterion("ITEM2 is not null");
            return (Criteria) this;
        }

        public Criteria andItem2EqualTo(String value) {
            addCriterion("ITEM2 =", value, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2NotEqualTo(String value) {
            addCriterion("ITEM2 <>", value, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2GreaterThan(String value) {
            addCriterion("ITEM2 >", value, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM2 >=", value, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2LessThan(String value) {
            addCriterion("ITEM2 <", value, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2LessThanOrEqualTo(String value) {
            addCriterion("ITEM2 <=", value, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2Like(String value) {
            addCriterion("ITEM2 like", value, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2NotLike(String value) {
            addCriterion("ITEM2 not like", value, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2In(List<String> values) {
            addCriterion("ITEM2 in", values, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2NotIn(List<String> values) {
            addCriterion("ITEM2 not in", values, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2Between(String value1, String value2) {
            addCriterion("ITEM2 between", value1, value2, "item2");
            return (Criteria) this;
        }

        public Criteria andItem2NotBetween(String value1, String value2) {
            addCriterion("ITEM2 not between", value1, value2, "item2");
            return (Criteria) this;
        }

        public Criteria andName2IsNull() {
            addCriterion("NAME2 is null");
            return (Criteria) this;
        }

        public Criteria andName2IsNotNull() {
            addCriterion("NAME2 is not null");
            return (Criteria) this;
        }

        public Criteria andName2EqualTo(String value) {
            addCriterion("NAME2 =", value, "name2");
            return (Criteria) this;
        }

        public Criteria andName2NotEqualTo(String value) {
            addCriterion("NAME2 <>", value, "name2");
            return (Criteria) this;
        }

        public Criteria andName2GreaterThan(String value) {
            addCriterion("NAME2 >", value, "name2");
            return (Criteria) this;
        }

        public Criteria andName2GreaterThanOrEqualTo(String value) {
            addCriterion("NAME2 >=", value, "name2");
            return (Criteria) this;
        }

        public Criteria andName2LessThan(String value) {
            addCriterion("NAME2 <", value, "name2");
            return (Criteria) this;
        }

        public Criteria andName2LessThanOrEqualTo(String value) {
            addCriterion("NAME2 <=", value, "name2");
            return (Criteria) this;
        }

        public Criteria andName2Like(String value) {
            addCriterion("NAME2 like", value, "name2");
            return (Criteria) this;
        }

        public Criteria andName2NotLike(String value) {
            addCriterion("NAME2 not like", value, "name2");
            return (Criteria) this;
        }

        public Criteria andName2In(List<String> values) {
            addCriterion("NAME2 in", values, "name2");
            return (Criteria) this;
        }

        public Criteria andName2NotIn(List<String> values) {
            addCriterion("NAME2 not in", values, "name2");
            return (Criteria) this;
        }

        public Criteria andName2Between(String value1, String value2) {
            addCriterion("NAME2 between", value1, value2, "name2");
            return (Criteria) this;
        }

        public Criteria andName2NotBetween(String value1, String value2) {
            addCriterion("NAME2 not between", value1, value2, "name2");
            return (Criteria) this;
        }

        public Criteria andItem3IsNull() {
            addCriterion("ITEM3 is null");
            return (Criteria) this;
        }

        public Criteria andItem3IsNotNull() {
            addCriterion("ITEM3 is not null");
            return (Criteria) this;
        }

        public Criteria andItem3EqualTo(String value) {
            addCriterion("ITEM3 =", value, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3NotEqualTo(String value) {
            addCriterion("ITEM3 <>", value, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3GreaterThan(String value) {
            addCriterion("ITEM3 >", value, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM3 >=", value, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3LessThan(String value) {
            addCriterion("ITEM3 <", value, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3LessThanOrEqualTo(String value) {
            addCriterion("ITEM3 <=", value, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3Like(String value) {
            addCriterion("ITEM3 like", value, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3NotLike(String value) {
            addCriterion("ITEM3 not like", value, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3In(List<String> values) {
            addCriterion("ITEM3 in", values, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3NotIn(List<String> values) {
            addCriterion("ITEM3 not in", values, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3Between(String value1, String value2) {
            addCriterion("ITEM3 between", value1, value2, "item3");
            return (Criteria) this;
        }

        public Criteria andItem3NotBetween(String value1, String value2) {
            addCriterion("ITEM3 not between", value1, value2, "item3");
            return (Criteria) this;
        }

        public Criteria andName3IsNull() {
            addCriterion("NAME3 is null");
            return (Criteria) this;
        }

        public Criteria andName3IsNotNull() {
            addCriterion("NAME3 is not null");
            return (Criteria) this;
        }

        public Criteria andName3EqualTo(String value) {
            addCriterion("NAME3 =", value, "name3");
            return (Criteria) this;
        }

        public Criteria andName3NotEqualTo(String value) {
            addCriterion("NAME3 <>", value, "name3");
            return (Criteria) this;
        }

        public Criteria andName3GreaterThan(String value) {
            addCriterion("NAME3 >", value, "name3");
            return (Criteria) this;
        }

        public Criteria andName3GreaterThanOrEqualTo(String value) {
            addCriterion("NAME3 >=", value, "name3");
            return (Criteria) this;
        }

        public Criteria andName3LessThan(String value) {
            addCriterion("NAME3 <", value, "name3");
            return (Criteria) this;
        }

        public Criteria andName3LessThanOrEqualTo(String value) {
            addCriterion("NAME3 <=", value, "name3");
            return (Criteria) this;
        }

        public Criteria andName3Like(String value) {
            addCriterion("NAME3 like", value, "name3");
            return (Criteria) this;
        }

        public Criteria andName3NotLike(String value) {
            addCriterion("NAME3 not like", value, "name3");
            return (Criteria) this;
        }

        public Criteria andName3In(List<String> values) {
            addCriterion("NAME3 in", values, "name3");
            return (Criteria) this;
        }

        public Criteria andName3NotIn(List<String> values) {
            addCriterion("NAME3 not in", values, "name3");
            return (Criteria) this;
        }

        public Criteria andName3Between(String value1, String value2) {
            addCriterion("NAME3 between", value1, value2, "name3");
            return (Criteria) this;
        }

        public Criteria andName3NotBetween(String value1, String value2) {
            addCriterion("NAME3 not between", value1, value2, "name3");
            return (Criteria) this;
        }

        public Criteria andItem4IsNull() {
            addCriterion("ITEM4 is null");
            return (Criteria) this;
        }

        public Criteria andItem4IsNotNull() {
            addCriterion("ITEM4 is not null");
            return (Criteria) this;
        }

        public Criteria andItem4EqualTo(String value) {
            addCriterion("ITEM4 =", value, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4NotEqualTo(String value) {
            addCriterion("ITEM4 <>", value, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4GreaterThan(String value) {
            addCriterion("ITEM4 >", value, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM4 >=", value, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4LessThan(String value) {
            addCriterion("ITEM4 <", value, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4LessThanOrEqualTo(String value) {
            addCriterion("ITEM4 <=", value, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4Like(String value) {
            addCriterion("ITEM4 like", value, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4NotLike(String value) {
            addCriterion("ITEM4 not like", value, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4In(List<String> values) {
            addCriterion("ITEM4 in", values, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4NotIn(List<String> values) {
            addCriterion("ITEM4 not in", values, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4Between(String value1, String value2) {
            addCriterion("ITEM4 between", value1, value2, "item4");
            return (Criteria) this;
        }

        public Criteria andItem4NotBetween(String value1, String value2) {
            addCriterion("ITEM4 not between", value1, value2, "item4");
            return (Criteria) this;
        }

        public Criteria andName4IsNull() {
            addCriterion("NAME4 is null");
            return (Criteria) this;
        }

        public Criteria andName4IsNotNull() {
            addCriterion("NAME4 is not null");
            return (Criteria) this;
        }

        public Criteria andName4EqualTo(String value) {
            addCriterion("NAME4 =", value, "name4");
            return (Criteria) this;
        }

        public Criteria andName4NotEqualTo(String value) {
            addCriterion("NAME4 <>", value, "name4");
            return (Criteria) this;
        }

        public Criteria andName4GreaterThan(String value) {
            addCriterion("NAME4 >", value, "name4");
            return (Criteria) this;
        }

        public Criteria andName4GreaterThanOrEqualTo(String value) {
            addCriterion("NAME4 >=", value, "name4");
            return (Criteria) this;
        }

        public Criteria andName4LessThan(String value) {
            addCriterion("NAME4 <", value, "name4");
            return (Criteria) this;
        }

        public Criteria andName4LessThanOrEqualTo(String value) {
            addCriterion("NAME4 <=", value, "name4");
            return (Criteria) this;
        }

        public Criteria andName4Like(String value) {
            addCriterion("NAME4 like", value, "name4");
            return (Criteria) this;
        }

        public Criteria andName4NotLike(String value) {
            addCriterion("NAME4 not like", value, "name4");
            return (Criteria) this;
        }

        public Criteria andName4In(List<String> values) {
            addCriterion("NAME4 in", values, "name4");
            return (Criteria) this;
        }

        public Criteria andName4NotIn(List<String> values) {
            addCriterion("NAME4 not in", values, "name4");
            return (Criteria) this;
        }

        public Criteria andName4Between(String value1, String value2) {
            addCriterion("NAME4 between", value1, value2, "name4");
            return (Criteria) this;
        }

        public Criteria andName4NotBetween(String value1, String value2) {
            addCriterion("NAME4 not between", value1, value2, "name4");
            return (Criteria) this;
        }

        public Criteria andItem5IsNull() {
            addCriterion("ITEM5 is null");
            return (Criteria) this;
        }

        public Criteria andItem5IsNotNull() {
            addCriterion("ITEM5 is not null");
            return (Criteria) this;
        }

        public Criteria andItem5EqualTo(String value) {
            addCriterion("ITEM5 =", value, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5NotEqualTo(String value) {
            addCriterion("ITEM5 <>", value, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5GreaterThan(String value) {
            addCriterion("ITEM5 >", value, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM5 >=", value, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5LessThan(String value) {
            addCriterion("ITEM5 <", value, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5LessThanOrEqualTo(String value) {
            addCriterion("ITEM5 <=", value, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5Like(String value) {
            addCriterion("ITEM5 like", value, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5NotLike(String value) {
            addCriterion("ITEM5 not like", value, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5In(List<String> values) {
            addCriterion("ITEM5 in", values, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5NotIn(List<String> values) {
            addCriterion("ITEM5 not in", values, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5Between(String value1, String value2) {
            addCriterion("ITEM5 between", value1, value2, "item5");
            return (Criteria) this;
        }

        public Criteria andItem5NotBetween(String value1, String value2) {
            addCriterion("ITEM5 not between", value1, value2, "item5");
            return (Criteria) this;
        }

        public Criteria andName5IsNull() {
            addCriterion("NAME5 is null");
            return (Criteria) this;
        }

        public Criteria andName5IsNotNull() {
            addCriterion("NAME5 is not null");
            return (Criteria) this;
        }

        public Criteria andName5EqualTo(String value) {
            addCriterion("NAME5 =", value, "name5");
            return (Criteria) this;
        }

        public Criteria andName5NotEqualTo(String value) {
            addCriterion("NAME5 <>", value, "name5");
            return (Criteria) this;
        }

        public Criteria andName5GreaterThan(String value) {
            addCriterion("NAME5 >", value, "name5");
            return (Criteria) this;
        }

        public Criteria andName5GreaterThanOrEqualTo(String value) {
            addCriterion("NAME5 >=", value, "name5");
            return (Criteria) this;
        }

        public Criteria andName5LessThan(String value) {
            addCriterion("NAME5 <", value, "name5");
            return (Criteria) this;
        }

        public Criteria andName5LessThanOrEqualTo(String value) {
            addCriterion("NAME5 <=", value, "name5");
            return (Criteria) this;
        }

        public Criteria andName5Like(String value) {
            addCriterion("NAME5 like", value, "name5");
            return (Criteria) this;
        }

        public Criteria andName5NotLike(String value) {
            addCriterion("NAME5 not like", value, "name5");
            return (Criteria) this;
        }

        public Criteria andName5In(List<String> values) {
            addCriterion("NAME5 in", values, "name5");
            return (Criteria) this;
        }

        public Criteria andName5NotIn(List<String> values) {
            addCriterion("NAME5 not in", values, "name5");
            return (Criteria) this;
        }

        public Criteria andName5Between(String value1, String value2) {
            addCriterion("NAME5 between", value1, value2, "name5");
            return (Criteria) this;
        }

        public Criteria andName5NotBetween(String value1, String value2) {
            addCriterion("NAME5 not between", value1, value2, "name5");
            return (Criteria) this;
        }

        public Criteria andItem6IsNull() {
            addCriterion("ITEM6 is null");
            return (Criteria) this;
        }

        public Criteria andItem6IsNotNull() {
            addCriterion("ITEM6 is not null");
            return (Criteria) this;
        }

        public Criteria andItem6EqualTo(String value) {
            addCriterion("ITEM6 =", value, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6NotEqualTo(String value) {
            addCriterion("ITEM6 <>", value, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6GreaterThan(String value) {
            addCriterion("ITEM6 >", value, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM6 >=", value, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6LessThan(String value) {
            addCriterion("ITEM6 <", value, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6LessThanOrEqualTo(String value) {
            addCriterion("ITEM6 <=", value, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6Like(String value) {
            addCriterion("ITEM6 like", value, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6NotLike(String value) {
            addCriterion("ITEM6 not like", value, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6In(List<String> values) {
            addCriterion("ITEM6 in", values, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6NotIn(List<String> values) {
            addCriterion("ITEM6 not in", values, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6Between(String value1, String value2) {
            addCriterion("ITEM6 between", value1, value2, "item6");
            return (Criteria) this;
        }

        public Criteria andItem6NotBetween(String value1, String value2) {
            addCriterion("ITEM6 not between", value1, value2, "item6");
            return (Criteria) this;
        }

        public Criteria andName6IsNull() {
            addCriterion("NAME6 is null");
            return (Criteria) this;
        }

        public Criteria andName6IsNotNull() {
            addCriterion("NAME6 is not null");
            return (Criteria) this;
        }

        public Criteria andName6EqualTo(String value) {
            addCriterion("NAME6 =", value, "name6");
            return (Criteria) this;
        }

        public Criteria andName6NotEqualTo(String value) {
            addCriterion("NAME6 <>", value, "name6");
            return (Criteria) this;
        }

        public Criteria andName6GreaterThan(String value) {
            addCriterion("NAME6 >", value, "name6");
            return (Criteria) this;
        }

        public Criteria andName6GreaterThanOrEqualTo(String value) {
            addCriterion("NAME6 >=", value, "name6");
            return (Criteria) this;
        }

        public Criteria andName6LessThan(String value) {
            addCriterion("NAME6 <", value, "name6");
            return (Criteria) this;
        }

        public Criteria andName6LessThanOrEqualTo(String value) {
            addCriterion("NAME6 <=", value, "name6");
            return (Criteria) this;
        }

        public Criteria andName6Like(String value) {
            addCriterion("NAME6 like", value, "name6");
            return (Criteria) this;
        }

        public Criteria andName6NotLike(String value) {
            addCriterion("NAME6 not like", value, "name6");
            return (Criteria) this;
        }

        public Criteria andName6In(List<String> values) {
            addCriterion("NAME6 in", values, "name6");
            return (Criteria) this;
        }

        public Criteria andName6NotIn(List<String> values) {
            addCriterion("NAME6 not in", values, "name6");
            return (Criteria) this;
        }

        public Criteria andName6Between(String value1, String value2) {
            addCriterion("NAME6 between", value1, value2, "name6");
            return (Criteria) this;
        }

        public Criteria andName6NotBetween(String value1, String value2) {
            addCriterion("NAME6 not between", value1, value2, "name6");
            return (Criteria) this;
        }

        public Criteria andItem7IsNull() {
            addCriterion("ITEM7 is null");
            return (Criteria) this;
        }

        public Criteria andItem7IsNotNull() {
            addCriterion("ITEM7 is not null");
            return (Criteria) this;
        }

        public Criteria andItem7EqualTo(String value) {
            addCriterion("ITEM7 =", value, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7NotEqualTo(String value) {
            addCriterion("ITEM7 <>", value, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7GreaterThan(String value) {
            addCriterion("ITEM7 >", value, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM7 >=", value, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7LessThan(String value) {
            addCriterion("ITEM7 <", value, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7LessThanOrEqualTo(String value) {
            addCriterion("ITEM7 <=", value, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7Like(String value) {
            addCriterion("ITEM7 like", value, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7NotLike(String value) {
            addCriterion("ITEM7 not like", value, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7In(List<String> values) {
            addCriterion("ITEM7 in", values, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7NotIn(List<String> values) {
            addCriterion("ITEM7 not in", values, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7Between(String value1, String value2) {
            addCriterion("ITEM7 between", value1, value2, "item7");
            return (Criteria) this;
        }

        public Criteria andItem7NotBetween(String value1, String value2) {
            addCriterion("ITEM7 not between", value1, value2, "item7");
            return (Criteria) this;
        }

        public Criteria andName7IsNull() {
            addCriterion("NAME7 is null");
            return (Criteria) this;
        }

        public Criteria andName7IsNotNull() {
            addCriterion("NAME7 is not null");
            return (Criteria) this;
        }

        public Criteria andName7EqualTo(String value) {
            addCriterion("NAME7 =", value, "name7");
            return (Criteria) this;
        }

        public Criteria andName7NotEqualTo(String value) {
            addCriterion("NAME7 <>", value, "name7");
            return (Criteria) this;
        }

        public Criteria andName7GreaterThan(String value) {
            addCriterion("NAME7 >", value, "name7");
            return (Criteria) this;
        }

        public Criteria andName7GreaterThanOrEqualTo(String value) {
            addCriterion("NAME7 >=", value, "name7");
            return (Criteria) this;
        }

        public Criteria andName7LessThan(String value) {
            addCriterion("NAME7 <", value, "name7");
            return (Criteria) this;
        }

        public Criteria andName7LessThanOrEqualTo(String value) {
            addCriterion("NAME7 <=", value, "name7");
            return (Criteria) this;
        }

        public Criteria andName7Like(String value) {
            addCriterion("NAME7 like", value, "name7");
            return (Criteria) this;
        }

        public Criteria andName7NotLike(String value) {
            addCriterion("NAME7 not like", value, "name7");
            return (Criteria) this;
        }

        public Criteria andName7In(List<String> values) {
            addCriterion("NAME7 in", values, "name7");
            return (Criteria) this;
        }

        public Criteria andName7NotIn(List<String> values) {
            addCriterion("NAME7 not in", values, "name7");
            return (Criteria) this;
        }

        public Criteria andName7Between(String value1, String value2) {
            addCriterion("NAME7 between", value1, value2, "name7");
            return (Criteria) this;
        }

        public Criteria andName7NotBetween(String value1, String value2) {
            addCriterion("NAME7 not between", value1, value2, "name7");
            return (Criteria) this;
        }

        public Criteria andItem8IsNull() {
            addCriterion("ITEM8 is null");
            return (Criteria) this;
        }

        public Criteria andItem8IsNotNull() {
            addCriterion("ITEM8 is not null");
            return (Criteria) this;
        }

        public Criteria andItem8EqualTo(String value) {
            addCriterion("ITEM8 =", value, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8NotEqualTo(String value) {
            addCriterion("ITEM8 <>", value, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8GreaterThan(String value) {
            addCriterion("ITEM8 >", value, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM8 >=", value, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8LessThan(String value) {
            addCriterion("ITEM8 <", value, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8LessThanOrEqualTo(String value) {
            addCriterion("ITEM8 <=", value, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8Like(String value) {
            addCriterion("ITEM8 like", value, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8NotLike(String value) {
            addCriterion("ITEM8 not like", value, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8In(List<String> values) {
            addCriterion("ITEM8 in", values, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8NotIn(List<String> values) {
            addCriterion("ITEM8 not in", values, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8Between(String value1, String value2) {
            addCriterion("ITEM8 between", value1, value2, "item8");
            return (Criteria) this;
        }

        public Criteria andItem8NotBetween(String value1, String value2) {
            addCriterion("ITEM8 not between", value1, value2, "item8");
            return (Criteria) this;
        }

        public Criteria andName8IsNull() {
            addCriterion("NAME8 is null");
            return (Criteria) this;
        }

        public Criteria andName8IsNotNull() {
            addCriterion("NAME8 is not null");
            return (Criteria) this;
        }

        public Criteria andName8EqualTo(String value) {
            addCriterion("NAME8 =", value, "name8");
            return (Criteria) this;
        }

        public Criteria andName8NotEqualTo(String value) {
            addCriterion("NAME8 <>", value, "name8");
            return (Criteria) this;
        }

        public Criteria andName8GreaterThan(String value) {
            addCriterion("NAME8 >", value, "name8");
            return (Criteria) this;
        }

        public Criteria andName8GreaterThanOrEqualTo(String value) {
            addCriterion("NAME8 >=", value, "name8");
            return (Criteria) this;
        }

        public Criteria andName8LessThan(String value) {
            addCriterion("NAME8 <", value, "name8");
            return (Criteria) this;
        }

        public Criteria andName8LessThanOrEqualTo(String value) {
            addCriterion("NAME8 <=", value, "name8");
            return (Criteria) this;
        }

        public Criteria andName8Like(String value) {
            addCriterion("NAME8 like", value, "name8");
            return (Criteria) this;
        }

        public Criteria andName8NotLike(String value) {
            addCriterion("NAME8 not like", value, "name8");
            return (Criteria) this;
        }

        public Criteria andName8In(List<String> values) {
            addCriterion("NAME8 in", values, "name8");
            return (Criteria) this;
        }

        public Criteria andName8NotIn(List<String> values) {
            addCriterion("NAME8 not in", values, "name8");
            return (Criteria) this;
        }

        public Criteria andName8Between(String value1, String value2) {
            addCriterion("NAME8 between", value1, value2, "name8");
            return (Criteria) this;
        }

        public Criteria andName8NotBetween(String value1, String value2) {
            addCriterion("NAME8 not between", value1, value2, "name8");
            return (Criteria) this;
        }

        public Criteria andItem9IsNull() {
            addCriterion("ITEM9 is null");
            return (Criteria) this;
        }

        public Criteria andItem9IsNotNull() {
            addCriterion("ITEM9 is not null");
            return (Criteria) this;
        }

        public Criteria andItem9EqualTo(String value) {
            addCriterion("ITEM9 =", value, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9NotEqualTo(String value) {
            addCriterion("ITEM9 <>", value, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9GreaterThan(String value) {
            addCriterion("ITEM9 >", value, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9GreaterThanOrEqualTo(String value) {
            addCriterion("ITEM9 >=", value, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9LessThan(String value) {
            addCriterion("ITEM9 <", value, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9LessThanOrEqualTo(String value) {
            addCriterion("ITEM9 <=", value, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9Like(String value) {
            addCriterion("ITEM9 like", value, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9NotLike(String value) {
            addCriterion("ITEM9 not like", value, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9In(List<String> values) {
            addCriterion("ITEM9 in", values, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9NotIn(List<String> values) {
            addCriterion("ITEM9 not in", values, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9Between(String value1, String value2) {
            addCriterion("ITEM9 between", value1, value2, "item9");
            return (Criteria) this;
        }

        public Criteria andItem9NotBetween(String value1, String value2) {
            addCriterion("ITEM9 not between", value1, value2, "item9");
            return (Criteria) this;
        }

        public Criteria andName9IsNull() {
            addCriterion("NAME9 is null");
            return (Criteria) this;
        }

        public Criteria andName9IsNotNull() {
            addCriterion("NAME9 is not null");
            return (Criteria) this;
        }

        public Criteria andName9EqualTo(String value) {
            addCriterion("NAME9 =", value, "name9");
            return (Criteria) this;
        }

        public Criteria andName9NotEqualTo(String value) {
            addCriterion("NAME9 <>", value, "name9");
            return (Criteria) this;
        }

        public Criteria andName9GreaterThan(String value) {
            addCriterion("NAME9 >", value, "name9");
            return (Criteria) this;
        }

        public Criteria andName9GreaterThanOrEqualTo(String value) {
            addCriterion("NAME9 >=", value, "name9");
            return (Criteria) this;
        }

        public Criteria andName9LessThan(String value) {
            addCriterion("NAME9 <", value, "name9");
            return (Criteria) this;
        }

        public Criteria andName9LessThanOrEqualTo(String value) {
            addCriterion("NAME9 <=", value, "name9");
            return (Criteria) this;
        }

        public Criteria andName9Like(String value) {
            addCriterion("NAME9 like", value, "name9");
            return (Criteria) this;
        }

        public Criteria andName9NotLike(String value) {
            addCriterion("NAME9 not like", value, "name9");
            return (Criteria) this;
        }

        public Criteria andName9In(List<String> values) {
            addCriterion("NAME9 in", values, "name9");
            return (Criteria) this;
        }

        public Criteria andName9NotIn(List<String> values) {
            addCriterion("NAME9 not in", values, "name9");
            return (Criteria) this;
        }

        public Criteria andName9Between(String value1, String value2) {
            addCriterion("NAME9 between", value1, value2, "name9");
            return (Criteria) this;
        }

        public Criteria andName9NotBetween(String value1, String value2) {
            addCriterion("NAME9 not between", value1, value2, "name9");
            return (Criteria) this;
        }

        public Criteria andVcHtbhIsNull() {
            addCriterion("VC_HTBH is null");
            return (Criteria) this;
        }

        public Criteria andVcHtbhIsNotNull() {
            addCriterion("VC_HTBH is not null");
            return (Criteria) this;
        }

        public Criteria andVcHtbhEqualTo(String value) {
            addCriterion("VC_HTBH =", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhNotEqualTo(String value) {
            addCriterion("VC_HTBH <>", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhGreaterThan(String value) {
            addCriterion("VC_HTBH >", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhGreaterThanOrEqualTo(String value) {
            addCriterion("VC_HTBH >=", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhLessThan(String value) {
            addCriterion("VC_HTBH <", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhLessThanOrEqualTo(String value) {
            addCriterion("VC_HTBH <=", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhLike(String value) {
            addCriterion("VC_HTBH like", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhNotLike(String value) {
            addCriterion("VC_HTBH not like", value, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhIn(List<String> values) {
            addCriterion("VC_HTBH in", values, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhNotIn(List<String> values) {
            addCriterion("VC_HTBH not in", values, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhBetween(String value1, String value2) {
            addCriterion("VC_HTBH between", value1, value2, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andVcHtbhNotBetween(String value1, String value2) {
            addCriterion("VC_HTBH not between", value1, value2, "vcHtbh");
            return (Criteria) this;
        }

        public Criteria andEnDebitByIsNull() {
            addCriterion("EN_DEBIT_BY is null");
            return (Criteria) this;
        }

        public Criteria andEnDebitByIsNotNull() {
            addCriterion("EN_DEBIT_BY is not null");
            return (Criteria) this;
        }

        public Criteria andEnDebitByEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT_BY =", value, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByNotEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT_BY <>", value, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByGreaterThan(BigDecimal value) {
            addCriterion("EN_DEBIT_BY >", value, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT_BY >=", value, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByLessThan(BigDecimal value) {
            addCriterion("EN_DEBIT_BY <", value, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByLessThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT_BY <=", value, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByIn(List<BigDecimal> values) {
            addCriterion("EN_DEBIT_BY in", values, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByNotIn(List<BigDecimal> values) {
            addCriterion("EN_DEBIT_BY not in", values, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_DEBIT_BY between", value1, value2, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnDebitByNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_DEBIT_BY not between", value1, value2, "enDebitBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByIsNull() {
            addCriterion("EN_CREDIT_BY is null");
            return (Criteria) this;
        }

        public Criteria andEnCreditByIsNotNull() {
            addCriterion("EN_CREDIT_BY is not null");
            return (Criteria) this;
        }

        public Criteria andEnCreditByEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT_BY =", value, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByNotEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT_BY <>", value, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByGreaterThan(BigDecimal value) {
            addCriterion("EN_CREDIT_BY >", value, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT_BY >=", value, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByLessThan(BigDecimal value) {
            addCriterion("EN_CREDIT_BY <", value, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByLessThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT_BY <=", value, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByIn(List<BigDecimal> values) {
            addCriterion("EN_CREDIT_BY in", values, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByNotIn(List<BigDecimal> values) {
            addCriterion("EN_CREDIT_BY not in", values, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_CREDIT_BY between", value1, value2, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andEnCreditByNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_CREDIT_BY not between", value1, value2, "enCreditBy");
            return (Criteria) this;
        }

        public Criteria andVcZqjcIsNull() {
            addCriterion("VC_ZQJC is null");
            return (Criteria) this;
        }

        public Criteria andVcZqjcIsNotNull() {
            addCriterion("VC_ZQJC is not null");
            return (Criteria) this;
        }

        public Criteria andVcZqjcEqualTo(String value) {
            addCriterion("VC_ZQJC =", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcNotEqualTo(String value) {
            addCriterion("VC_ZQJC <>", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcGreaterThan(String value) {
            addCriterion("VC_ZQJC >", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcGreaterThanOrEqualTo(String value) {
            addCriterion("VC_ZQJC >=", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcLessThan(String value) {
            addCriterion("VC_ZQJC <", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcLessThanOrEqualTo(String value) {
            addCriterion("VC_ZQJC <=", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcLike(String value) {
            addCriterion("VC_ZQJC like", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcNotLike(String value) {
            addCriterion("VC_ZQJC not like", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcIn(List<String> values) {
            addCriterion("VC_ZQJC in", values, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcNotIn(List<String> values) {
            addCriterion("VC_ZQJC not in", values, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcBetween(String value1, String value2) {
            addCriterion("VC_ZQJC between", value1, value2, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcNotBetween(String value1, String value2) {
            addCriterion("VC_ZQJC not between", value1, value2, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcJkfsIsNull() {
            addCriterion("VC_JKFS is null");
            return (Criteria) this;
        }

        public Criteria andVcJkfsIsNotNull() {
            addCriterion("VC_JKFS is not null");
            return (Criteria) this;
        }

        public Criteria andVcJkfsEqualTo(String value) {
            addCriterion("VC_JKFS =", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsNotEqualTo(String value) {
            addCriterion("VC_JKFS <>", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsGreaterThan(String value) {
            addCriterion("VC_JKFS >", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsGreaterThanOrEqualTo(String value) {
            addCriterion("VC_JKFS >=", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsLessThan(String value) {
            addCriterion("VC_JKFS <", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsLessThanOrEqualTo(String value) {
            addCriterion("VC_JKFS <=", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsLike(String value) {
            addCriterion("VC_JKFS like", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsNotLike(String value) {
            addCriterion("VC_JKFS not like", value, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsIn(List<String> values) {
            addCriterion("VC_JKFS in", values, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsNotIn(List<String> values) {
            addCriterion("VC_JKFS not in", values, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsBetween(String value1, String value2) {
            addCriterion("VC_JKFS between", value1, value2, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcJkfsNotBetween(String value1, String value2) {
            addCriterion("VC_JKFS not between", value1, value2, "vcJkfs");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcIsNull() {
            addCriterion("VC_DYKMMC is null");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcIsNotNull() {
            addCriterion("VC_DYKMMC is not null");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcEqualTo(String value) {
            addCriterion("VC_DYKMMC =", value, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcNotEqualTo(String value) {
            addCriterion("VC_DYKMMC <>", value, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcGreaterThan(String value) {
            addCriterion("VC_DYKMMC >", value, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcGreaterThanOrEqualTo(String value) {
            addCriterion("VC_DYKMMC >=", value, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcLessThan(String value) {
            addCriterion("VC_DYKMMC <", value, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcLessThanOrEqualTo(String value) {
            addCriterion("VC_DYKMMC <=", value, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcLike(String value) {
            addCriterion("VC_DYKMMC like", value, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcNotLike(String value) {
            addCriterion("VC_DYKMMC not like", value, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcIn(List<String> values) {
            addCriterion("VC_DYKMMC in", values, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcNotIn(List<String> values) {
            addCriterion("VC_DYKMMC not in", values, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcBetween(String value1, String value2) {
            addCriterion("VC_DYKMMC between", value1, value2, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andVcDykmmcNotBetween(String value1, String value2) {
            addCriterion("VC_DYKMMC not between", value1, value2, "vcDykmmc");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnIsNull() {
            addCriterion("EN_DEBIT_BN is null");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnIsNotNull() {
            addCriterion("EN_DEBIT_BN is not null");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT_BN =", value, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnNotEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT_BN <>", value, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnGreaterThan(BigDecimal value) {
            addCriterion("EN_DEBIT_BN >", value, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT_BN >=", value, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnLessThan(BigDecimal value) {
            addCriterion("EN_DEBIT_BN <", value, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnLessThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_DEBIT_BN <=", value, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnIn(List<BigDecimal> values) {
            addCriterion("EN_DEBIT_BN in", values, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnNotIn(List<BigDecimal> values) {
            addCriterion("EN_DEBIT_BN not in", values, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_DEBIT_BN between", value1, value2, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnDebitBnNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_DEBIT_BN not between", value1, value2, "enDebitBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnIsNull() {
            addCriterion("EN_CREDIT_BN is null");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnIsNotNull() {
            addCriterion("EN_CREDIT_BN is not null");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT_BN =", value, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnNotEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT_BN <>", value, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnGreaterThan(BigDecimal value) {
            addCriterion("EN_CREDIT_BN >", value, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT_BN >=", value, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnLessThan(BigDecimal value) {
            addCriterion("EN_CREDIT_BN <", value, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnLessThanOrEqualTo(BigDecimal value) {
            addCriterion("EN_CREDIT_BN <=", value, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnIn(List<BigDecimal> values) {
            addCriterion("EN_CREDIT_BN in", values, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnNotIn(List<BigDecimal> values) {
            addCriterion("EN_CREDIT_BN not in", values, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_CREDIT_BN between", value1, value2, "enCreditBn");
            return (Criteria) this;
        }

        public Criteria andEnCreditBnNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("EN_CREDIT_BN not between", value1, value2, "enCreditBn");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}